"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importStar(require("react"));
const format_1 = require("../../../utils/format");
const CioAutocompleteProvider_1 = require("../CioAutocompleteProvider");
const SectionItemsList_1 = tslib_1.__importDefault(require("../SectionItemsList/SectionItemsList"));
const CloseIcon_1 = tslib_1.__importDefault(require("./CloseIcon"));
const DefaultRenderResults = ({ sections }) => sections === null || sections === void 0 ? void 0 : sections.map((section) => {
    const { type } = section;
    let key = section.displayName;
    switch (type) {
        case 'recommendations':
            key = section.podId;
            break;
        case 'custom':
            key = (0, format_1.toKebabCase)(section.displayName);
            break;
        case 'autocomplete':
            key = section.indexSectionName;
            break;
        default:
            key = section.indexSectionName;
            break;
    }
    return react_1.default.createElement(SectionItemsList_1.default, { section: section, key: key });
});
function AutocompleteResults(props) {
    const { children = DefaultRenderResults } = props;
    const { sections, isOpen, getMenuProps, getItemProps, closeMenu } = (0, react_1.useContext)(CioAutocompleteProvider_1.CioAutocompleteContext);
    const hasResults = sections && sections.some((section) => { var _a; return (_a = section === null || section === void 0 ? void 0 : section.data) === null || _a === void 0 ? void 0 : _a.length; });
    const menuProps = Object.assign({}, getMenuProps());
    let content;
    if (isOpen && hasResults) {
        content = (react_1.default.createElement(react_1.default.Fragment, null,
            react_1.default.createElement(CloseIcon_1.default, { onClick: () => closeMenu() }),
            typeof children === 'function' ? children({ sections, getItemProps }) : children));
    }
    else {
        content = null;
        menuProps.style = {
            display: 'none',
        };
    }
    return react_1.default.createElement("ul", Object.assign({}, menuProps), content);
}
exports.default = AutocompleteResults;
