"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importStar(require("react"));
const CioAutocompleteProvider_1 = require("../CioAutocompleteProvider");
function CustomSectionItem(props) {
    const { renderItem, item, query } = props;
    const { getItemProps } = (0, react_1.useContext)(CioAutocompleteProvider_1.CioAutocompleteContext);
    const ref = (0, react_1.useRef)(null);
    // eslint-disable-next-line react-hooks/exhaustive-deps
    const customElement = (0, react_1.useMemo)(() => renderItem({ item, query, getItemProps }), [item]);
    const isDomElement = customElement instanceof HTMLElement;
    const isReactNode = (0, react_1.isValidElement)(customElement);
    (0, react_1.useEffect)(() => {
        if (isDomElement && ref.current) {
            ref.current.innerHTML = ''; // Clear previous content
            ref.current.appendChild(customElement);
        }
        // eslint-disable-next-line react-hooks/exhaustive-deps
    }, [item]);
    if (isReactNode) {
        return customElement;
    }
    if (isDomElement) {
        return react_1.default.createElement("div", Object.assign({}, getItemProps(item), { ref: ref }));
    }
    return null;
}
exports.default = CustomSectionItem;
