"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importStar(require("react"));
const CioAutocompleteProvider_1 = require("../CioAutocompleteProvider");
const typeGuards_1 = require("../../../typeGuards");
const SectionItemText_1 = tslib_1.__importDefault(require("./SectionItemText"));
const helpers_1 = require("../../../utils/helpers");
const SearchSuggestionItem_1 = tslib_1.__importDefault(require("./SearchSuggestionItem"));
function SectionItem(props) {
    var _a, _b;
    const { item, children, displaySearchTermHighlights } = props;
    const { getItemProps, advancedParameters, query, getSearchResultsUrl } = (0, react_1.useContext)(CioAutocompleteProvider_1.CioAutocompleteContext);
    const { translations } = advancedParameters || {};
    let defaultChildren;
    if ((0, typeGuards_1.isProduct)(item)) {
        defaultChildren = (react_1.default.createElement("a", { href: (_a = item.data) === null || _a === void 0 ? void 0 : _a.url },
            react_1.default.createElement("img", { "data-testid": 'cio-img', src: (_b = item.data) === null || _b === void 0 ? void 0 : _b.image_url, alt: item.value, className: 'cio-product-image' }),
            react_1.default.createElement("p", { "data-testid": 'cio-text', className: 'cio-product-text' },
                react_1.default.createElement(SectionItemText_1.default, { item: item, query: query, highlightSearchTerm: displaySearchTermHighlights }))));
    }
    else if ((0, typeGuards_1.isInGroupSuggestion)(item)) {
        defaultChildren = (react_1.default.createElement("p", { className: 'cio-term-in-group' },
            (0, helpers_1.translate)('in', translations),
            ' ',
            react_1.default.createElement(SectionItemText_1.default, { item: item, query: query, highlightSearchTerm: displaySearchTermHighlights })));
    }
    else if ((0, typeGuards_1.isSearchSuggestion)(item)) {
        if (getSearchResultsUrl) {
            defaultChildren = (react_1.default.createElement("a", { className: 'suggestion-link', href: getSearchResultsUrl(item) },
                react_1.default.createElement(SearchSuggestionItem_1.default, { item: item, displaySearchTermHighlights: displaySearchTermHighlights })));
        }
        else {
            defaultChildren = (react_1.default.createElement(SearchSuggestionItem_1.default, { item: item, displaySearchTermHighlights: displaySearchTermHighlights }));
        }
    }
    else {
        defaultChildren = (react_1.default.createElement("p", { className: 'cio-custom-text' },
            react_1.default.createElement(SectionItemText_1.default, { item: item, query: query, highlightSearchTerm: displaySearchTermHighlights })));
    }
    return react_1.default.createElement("li", Object.assign({}, getItemProps(item)), children || defaultChildren);
}
exports.default = SectionItem;
