"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importDefault(require("react"));
const typeGuards_1 = require("../../../typeGuards");
const helpers_1 = require("../../../utils/helpers");
function SectionItemText({ item, query, highlightSearchTerm, }) {
    const itemText = (0, typeGuards_1.isInGroupSuggestion)(item) ? item.groupName : item.value;
    if (highlightSearchTerm) {
        const queryRegex = new RegExp(`(${(0, helpers_1.escapeRegExp)(query)})`, 'gi');
        const queryIncludedInText = queryRegex.test(itemText);
        if (query && queryIncludedInText) {
            const splitText = itemText.split(queryRegex);
            return (react_1.default.createElement(react_1.default.Fragment, null, splitText.map((split, index) => {
                // eslint-disable-next-line react/no-array-index-key
                if (queryRegex.test(split))
                    return react_1.default.createElement("b", { key: `matched-word-${index}` }, split);
                return split;
            })));
        }
    }
    // eslint-disable-next-line react/jsx-no-useless-fragment
    return react_1.default.createElement(react_1.default.Fragment, null, itemText);
}
exports.default = SectionItemText;
