"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importStar(require("react"));
const SectionItem_1 = tslib_1.__importDefault(require("../SectionItem/SectionItem"));
const CustomSectionItem_1 = tslib_1.__importDefault(require("../SectionItem/CustomSectionItem"));
const helpers_1 = require("../../../utils/helpers");
const format_1 = require("../../../utils/format");
const CioAutocompleteProvider_1 = require("../CioAutocompleteProvider");
const NoResults_1 = tslib_1.__importDefault(require("../AutocompleteResults/NoResults"));
// eslint-disable-next-line func-names
const DefaultRenderSectionItemsList = function ({ section }) {
    var _a, _b, _c;
    const { getSectionProps, query, getFormProps, advancedParameters } = (0, react_1.useContext)(CioAutocompleteProvider_1.CioAutocompleteContext);
    const { displayShowAllResultsButton, translations } = advancedParameters || {};
    const { onSubmit } = getFormProps();
    const { type, displayName, displayNoResultsMessage } = section;
    let sectionTitle = displayName;
    if (!sectionTitle) {
        switch (type) {
            case 'recommendations':
                sectionTitle = section.podId;
                break;
            case 'autocomplete':
                sectionTitle = section.indexSectionName;
                break;
            case 'custom':
                sectionTitle = section.displayName;
                break;
            default:
                sectionTitle = section.indexSectionName;
                break;
        }
    }
    // Display no results message
    if (!((_a = section === null || section === void 0 ? void 0 : section.data) === null || _a === void 0 ? void 0 : _a.length) && displayNoResultsMessage)
        return (react_1.default.createElement("li", Object.assign({}, getSectionProps(section)),
            react_1.default.createElement("h5", { className: 'cio-section-name cio-sectionName', "aria-hidden": true }, (0, format_1.camelToStartCase)(sectionTitle)),
            react_1.default.createElement(NoResults_1.default, null)));
    if (!((_b = section === null || section === void 0 ? void 0 : section.data) === null || _b === void 0 ? void 0 : _b.length))
        return null;
    // @deprecated `cio-sectionName` will be removed in the next major release
    return (react_1.default.createElement("li", Object.assign({}, getSectionProps(section)),
        react_1.default.createElement("h5", { className: 'cio-section-name cio-sectionName', "aria-hidden": true }, (0, format_1.camelToStartCase)(sectionTitle)),
        react_1.default.createElement("ul", { className: 'cio-section-items', role: 'none' }, (_c = section === null || section === void 0 ? void 0 : section.data) === null || _c === void 0 ? void 0 : _c.map((item) => {
            if (typeof (section === null || section === void 0 ? void 0 : section.renderItem) === 'function') {
                return (react_1.default.createElement(CustomSectionItem_1.default, { renderItem: section.renderItem, item: item, query: query, key: item.id }));
            }
            return (react_1.default.createElement(SectionItem_1.default, { item: item, key: item === null || item === void 0 ? void 0 : item.id, displaySearchTermHighlights: section.displaySearchTermHighlights }));
        })),
        displayShowAllResultsButton &&
            type === 'autocomplete' &&
            section.indexSectionName === 'Products' && (react_1.default.createElement("div", { className: 'cio-section-footer' },
            react_1.default.createElement("button", { "data-cnstrc-search-submit-btn": true, className: 'cio-show-all-results-button', type: 'button', onClick: onSubmit }, (0, helpers_1.translate)('show all results', translations))))));
};
function SectionItemsList(props) {
    const { section, children = DefaultRenderSectionItemsList } = props;
    return children({ section });
}
exports.default = SectionItemsList;
