"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
const helpers_1 = require("../utils/helpers");
const useCioClient = ({ apiKey, cioJsClient, cioJsClientOptions }) => {
    if (!apiKey && !cioJsClient) {
        // eslint-disable-next-line no-console
        console.error('Either apiKey or cioJsClient is required');
    }
    return (0, react_1.useMemo)(() => cioJsClient || (0, helpers_1.getCioClient)(apiKey, cioJsClientOptions), [apiKey, cioJsClient, cioJsClientOptions]);
};
exports.default = useCioClient;
