"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
const useCustomBlur = (isOpen, closeMenu, autocompleteClassName) => {
    const handleDocumentClick = (0, react_1.useCallback)((event) => {
        var _a;
        const classNames = autocompleteClassName.split(' ').join('.');
        if (isOpen && !((_a = event.target) === null || _a === void 0 ? void 0 : _a.closest(`.${classNames}`))) {
            closeMenu();
        }
    }, [closeMenu, isOpen, autocompleteClassName]);
    (0, react_1.useEffect)(() => {
        document.addEventListener('mousedown', handleDocumentClick);
        return () => {
            document.removeEventListener('mousedown', handleDocumentClick);
        };
    }, [handleDocumentClick]);
};
exports.default = useCustomBlur;
