"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const downshift_1 = require("downshift");
const tracking_1 = require("../utils/tracking");
let idCounter = 0;
const useDownShift = (_a) => {
    var { setQuery, items, onSubmit, cioClient, previousQuery = '' } = _a, rest = tslib_1.__rest(_a, ["setQuery", "items", "onSubmit", "cioClient", "previousQuery"]);
    return (0, downshift_1.useCombobox)(Object.assign({ id: `cio-autocomplete-${idCounter++}`, // eslint-disable-line
        items, itemToString: (item) => (item === null || item === void 0 ? void 0 : item.value) || '', onSelectedItemChange({ selectedItem }) {
            var _a;
            if (selectedItem) {
                if (selectedItem === null || selectedItem === void 0 ? void 0 : selectedItem.value) {
                    if (onSubmit)
                        onSubmit({ item: selectedItem, originalQuery: previousQuery });
                    try {
                        if ((selectedItem === null || selectedItem === void 0 ? void 0 : selectedItem.section) === 'Search Suggestions') {
                            setQuery(selectedItem.value || '');
                            (0, tracking_1.trackSearchSubmit)(cioClient, selectedItem.value, {
                                originalQuery: previousQuery,
                            });
                        }
                        // Autocomplete Select tracking
                        // Recommendation Select tracking
                        if (selectedItem.podId && ((_a = selectedItem.data) === null || _a === void 0 ? void 0 : _a.id) && selectedItem.strategy) {
                            cioClient === null || cioClient === void 0 ? void 0 : cioClient.tracker.trackRecommendationClick({
                                itemName: selectedItem.value,
                                itemId: selectedItem.data.id,
                                variationId: selectedItem.data.variation_id,
                                podId: selectedItem.podId,
                                strategyId: selectedItem.strategy.id,
                                section: selectedItem.section,
                                resultId: selectedItem.result_id,
                            });
                            // Select tracking for all other Constructor sections:
                            // (ie: Search Suggestions, Products, Custom Cio sections, etc)
                            // This does not apply to custom user defined sections that aren't part of Constructor index
                        }
                        else if (selectedItem.result_id) {
                            (0, tracking_1.trackAutocompleteSelect)(cioClient, selectedItem.value, {
                                originalQuery: previousQuery,
                                section: selectedItem.section,
                            });
                        }
                    }
                    catch (error) {
                        // eslint-disable-next-line no-console
                        console.log(error);
                    }
                }
            }
        }, stateReducer: (state, actionAndChanges) => {
            const { type, changes } = actionAndChanges;
            // Override dropdown close on blur
            if (type === downshift_1.useCombobox.stateChangeTypes.InputBlur) {
                return Object.assign(Object.assign({}, changes), { isOpen: state.isOpen });
            }
            return changes;
        } }, rest));
};
exports.default = useDownShift;
