"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = require("react");
const useFetchRecommendationPod = (cioClient, recommendationPods, fetchZeroStateOnFocus = false) => {
    const [recommendationsResults, setRecommendationsResults] = (0, react_1.useState)({});
    const [podsData, setPodsData] = (0, react_1.useState)({});
    const fetchRecommendationResults = () => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
        if (!cioClient || !Array.isArray(recommendationPods) || recommendationPods.length === 0)
            return;
        const responses = yield Promise.all(recommendationPods.map((_a) => {
            var { podId, indexSectionName } = _a, parameters = tslib_1.__rest(_a, ["podId", "indexSectionName"]);
            return cioClient.recommendations.getRecommendations(podId, Object.assign(Object.assign({}, parameters), { section: indexSectionName }));
        }));
        const recommendationsPodResults = {};
        const recommendationsPodsData = {};
        responses.forEach(({ response, request }, index) => {
            const { pod, results } = response;
            if (pod === null || pod === void 0 ? void 0 : pod.id) {
                recommendationsPodResults[pod.id] = results === null || results === void 0 ? void 0 : results.map((item) => {
                    var _a, _b;
                    return (Object.assign(Object.assign({}, item), { id: (_a = item === null || item === void 0 ? void 0 : item.data) === null || _a === void 0 ? void 0 : _a.id, section: (_b = recommendationPods[index]) === null || _b === void 0 ? void 0 : _b.indexSectionName, podId: pod.id }));
                });
                recommendationsPodsData[pod.id] = {
                    displayName: pod.display_name,
                    podId: pod.id,
                    request,
                };
            }
        });
        try {
            setRecommendationsResults(recommendationsPodResults);
            setPodsData(recommendationsPodsData);
        }
        catch (error) {
            // eslint-disable-next-line no-console
            console.log(error);
        }
    });
    (0, react_1.useEffect)(() => {
        if (fetchZeroStateOnFocus)
            return;
        fetchRecommendationResults();
        // eslint-disable-next-line react-hooks/exhaustive-deps
    }, [cioClient, recommendationPods]);
    return { fetchRecommendationResults, recommendationsResults, podsData };
};
exports.default = useFetchRecommendationPod;
