"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
const typeGuards_1 = require("../../typeGuards");
function useActiveSections(query, sections, podsData, zeroStateSections) {
    const showZeroStateSections = !query.length && !!(zeroStateSections === null || zeroStateSections === void 0 ? void 0 : zeroStateSections.length);
    const [activeSections, setActiveSections] = (0, react_1.useState)(showZeroStateSections ? zeroStateSections : sections);
    // Merge Recommendation Pods Display Name from Dashboard
    const activeSectionsTransformed = (0, react_1.useMemo)(() => activeSections.map((config) => {
        const mergedConfig = config;
        if ((0, typeGuards_1.isRecommendationsSection)(config)) {
            const podData = podsData === null || podsData === void 0 ? void 0 : podsData[config.podId];
            const libraryDisplayName = config.displayName;
            const dashboardDisplayName = podData === null || podData === void 0 ? void 0 : podData.displayName;
            mergedConfig.displayName = libraryDisplayName || dashboardDisplayName;
        }
        return mergedConfig;
    }), [activeSections, podsData]);
    return {
        activeSections: activeSectionsTransformed,
        showZeroStateSections,
        setActiveSections,
    };
}
exports.default = useActiveSections;
