"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.trackAutocompleteSelect = exports.trackSearchSubmit = exports.trackRecommendationView = exports.isTrackingRequestSent = void 0;
const typeGuards_1 = require("../typeGuards");
// eslint-disable-next-line import/no-cycle
const beaconUtils_1 = require("./beaconUtils");
const storage_1 = require("./storage");
function isTrackingRequestSent(trackingRequestUrl) {
    var _a, _b;
    // eslint-disable-next-line
    const trackingRequestsQueue = (_a = window.localStorage) === null || _a === void 0 ? void 0 : _a._constructorio_requests;
    return (trackingRequestsQueue &&
        ((_b = JSON.parse(trackingRequestsQueue)) === null || _b === void 0 ? void 0 : _b.some((request) => { var _a; return (_a = request === null || request === void 0 ? void 0 : request.url) === null || _a === void 0 ? void 0 : _a.includes(trackingRequestUrl); })));
}
exports.isTrackingRequestSent = isTrackingRequestSent;
const trackRecommendationView = (target, activeSectionsWithData, cioClient) => {
    if (target.dataset.cnstrcRecommendationsPodId) {
        // Pull recommendations from activeSectionsWithData by podId surfaced on target
        const recommendationSection = activeSectionsWithData.find((section) => (0, typeGuards_1.isRecommendationsSection)(section) &&
            section.podId === target.dataset.cnstrcRecommendationsPodId);
        const recommendationItems = recommendationSection === null || recommendationSection === void 0 ? void 0 : recommendationSection.data.map((item) => {
            var _a, _b;
            return ({
                itemId: (_a = item.data) === null || _a === void 0 ? void 0 : _a.id,
                itemName: item.value,
                variationId: (_b = item.data) === null || _b === void 0 ? void 0 : _b.variation_id,
            });
        });
        cioClient === null || cioClient === void 0 ? void 0 : cioClient.tracker.trackRecommendationView({
            podId: target.dataset.cnstrcRecommendationsPodId,
            numResultsViewed: (recommendationItems === null || recommendationItems === void 0 ? void 0 : recommendationItems.length) || 0,
            url: window.location.href,
            section: target.dataset.cnstrcSection,
            items: recommendationItems,
        });
    }
};
exports.trackRecommendationView = trackRecommendationView;
const trackSearchSubmit = (cioClient, term, autocompleteData = {}) => {
    cioClient === null || cioClient === void 0 ? void 0 : cioClient.tracker.trackSearchSubmit(term, autocompleteData);
    (0, storage_1.storageSetItem)(beaconUtils_1.CONSTANTS.SEARCH_TERM_STORAGE_KEY, term);
    (0, beaconUtils_1.storeRecentSearch)(term, {});
    (0, beaconUtils_1.storeRecentAction)(beaconUtils_1.CONSTANTS.SEARCH_SUBMIT);
};
exports.trackSearchSubmit = trackSearchSubmit;
const trackAutocompleteSelect = (cioClient, itemName, autocompleteData = {}) => {
    cioClient === null || cioClient === void 0 ? void 0 : cioClient.tracker.trackAutocompleteSelect(itemName, autocompleteData);
    if ((autocompleteData === null || autocompleteData === void 0 ? void 0 : autocompleteData.section) === 'Products') {
        (0, storage_1.storageRemoveItem)(beaconUtils_1.CONSTANTS.SEARCH_TERM_STORAGE_KEY);
    }
};
exports.trackAutocompleteSelect = trackAutocompleteSelect;
