import React from 'react';
import { CioAutocompleteProps } from '../../types';
export declare const CioAutocompleteContext: React.Context<{
    query: string;
    sections: import("../../types").Section[];
    totalNumResultsPerSection: Record<string, number>;
    request: Partial<import("@constructor-io/constructorio-client-javascript").AutocompleteRequestType>;
    featureToggles: {
        featureDisplaySearchSuggestionImages: boolean;
        featureDisplaySearchSuggestionResultCounts: boolean;
        featureDisplayZeroStateRecommendations: boolean;
    };
    isOpen: boolean;
    getMenuProps: () => any;
    getLabelProps: (options?: import("downshift").UseComboboxGetLabelPropsOptions | undefined) => any;
    openMenu: () => void;
    closeMenu: () => void;
    getItemProps: (item: import("../../types").Item) => any;
    getInputProps: () => any;
    getFormProps: () => {
        onSubmit: (event: any) => {
            query: string;
        };
        className: string;
        'data-testid': string;
        'data-cnstrc-search-form': string;
    };
    getSectionProps: (section: import("../../types").Section) => import("../../types").HTMLPropsWithCioDataAttributes<any>;
    setQuery: React.Dispatch<React.SetStateAction<string>>;
    cioClient: import("@constructor-io/constructorio-client-javascript").Nullable<import("@constructor-io/constructorio-client-javascript/lib/types/constructorio")>;
    autocompleteClassName: string;
    selectedItem: import("../../types").Item;
    advancedParameters: import("../../types").AdvancedParameters | undefined;
    getSearchResultsUrl: ((item: import("../../types").SearchSuggestion) => string) | undefined;
}>;
export default function CioAutocompleteProvider(props: CioAutocompleteProps): React.JSX.Element;
