import { Section, UserDefinedSection, HTMLPropsWithCioDataAttributes, Item, UseCioAutocompleteOptions } from '../types';
export declare const defaultSections: UserDefinedSection[];
declare const useCioAutocomplete: (options: UseCioAutocompleteOptions) => {
    query: string;
    sections: Section[];
    totalNumResultsPerSection: Record<string, number>;
    request: Partial<import("@constructor-io/constructorio-client-javascript").AutocompleteRequestType>;
    featureToggles: {
        featureDisplaySearchSuggestionImages: boolean;
        featureDisplaySearchSuggestionResultCounts: boolean;
        featureDisplayZeroStateRecommendations: boolean;
    };
    isOpen: boolean;
    getMenuProps: () => any;
    getLabelProps: (options?: import("downshift").UseComboboxGetLabelPropsOptions | undefined) => any;
    openMenu: () => void;
    closeMenu: () => void;
    getItemProps: (item: Item) => any;
    getInputProps: () => any;
    getFormProps: () => {
        onSubmit: (event: any) => {
            query: string;
        };
        className: string;
        'data-testid': string;
        'data-cnstrc-search-form': string;
    };
    getSectionProps: (section: Section) => HTMLPropsWithCioDataAttributes<any>;
    setQuery: import("react").Dispatch<import("react").SetStateAction<string>>;
    cioClient: import("@constructor-io/constructorio-client-javascript").Nullable<import("@constructor-io/constructorio-client-javascript/lib/types/constructorio")>;
    autocompleteClassName: string;
    selectedItem: Item;
    advancedParameters: import("../types").AdvancedParameters | undefined;
    getSearchResultsUrl: ((item: import("../types").SearchSuggestion) => string) | undefined;
};
export default useCioAutocomplete;
