import ConstructorIOClient from '@constructor-io/constructorio-client-javascript';
import { ConstructorClientOptions } from '@constructor-io/constructorio-client-javascript/lib/types';
import { Item, Section, UserDefinedSection, SectionsData, Translations, PodData } from '../types';
export type GetItemPosition = (args: {
    item: Item;
    items: Item[];
}) => {
    index: number;
    sectionId: string;
};
export declare const getItemPosition: GetItemPosition;
export declare function clearConstructorRequests(): void;
export declare function sleep(ms: number): Promise<unknown>;
export declare const getStoryParams: (storyCode: any, templateCode: any, importCode: any) => {
    docs: {
        source: {
            code: string;
            language: string;
            format: boolean;
            type: string;
        };
    };
};
export declare const functionStrings: {
    onSubmit: string;
    renderItem: string;
};
export declare const disableStoryActions: (story: any) => void;
export declare const getCioClient: (apiKey?: string, cioJsClientOptions?: ConstructorClientOptions) => ConstructorIOClient | null;
export declare const getActiveSectionsWithData: (activeSections: UserDefinedSection[], sectionsResults: SectionsData, sectionsRefs: React.MutableRefObject<React.RefObject<HTMLLIElement>[]>, podsData: Record<string, PodData>) => Section[];
export declare const escapeRegExp: (string: string) => string;
export declare const getItemsForActiveSections: (activeSectionsWithData: Section[]) => Item[];
export declare const translate: (word: string, translations?: Translations) => any;
export declare const logger: (error: any) => void;
